/*
 * PureIRCd Internet Relay Chat daemon, include/s_dconf.h
 * Copyright (C) 1999 Carsten Munk 
 *
 * See file AUTHORS in IRC package for additional names of
 * the programmers.
 *
 * This program is free softwmare; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef	__dynconf_include__
#define __dynconf_include__ 1
#define DYNCONF_H

#define DYNCONF_CONF_VERSION "2.1.1"

typedef struct zConfiguration aConfiguration;
struct zConfiguration
{
    unsigned dyn_shortmotd_state:1;
    unsigned dyn_opermotd_state:1;
    unsigned dyn_hide_ulines:1;
    unsigned dyn_hub_state:1;
    unsigned dyn_allow_links:1;
    unsigned dyn_allow_map:1;
    unsigned dyn_failoper_kill:1;
    unsigned dyn_filter_quitmsg:1;
    unsigned dyn_proxmon_state:1;
    unsigned dyn_nochanops_split:1;
    unsigned dyn_htmlockon_burst:1;
    unsigned dyn_identd_comp:1;
    unsigned dyn_ircii_kludge:1;
    unsigned dyn_akg_notices:1;
    unsigned dyn_rfc1035_anal:1;
    unsigned dyn_no_mixed_case:1;
    unsigned dyn_allow_remove_modex:1;
    unsigned dyn_enable_throttling:1;
    unsigned dyn_enable_iline_warn:1;
    unsigned dyn_enable_malicious_detect:1;
/*  unsigned dyn_nojoin_split:1;
    unsigned dyn_nochancreation_split:1; */
    int dyn_network_maxchans;
    int dyn_whois_wait;
    char *dyn_mailadr_kline;
    char *dyn_mailadr_gline;
    char *domainname;
    char *dyn_userchan_join;
    char *dyn_operchan_join;
    char *dyn_proxmon_url;
    char *dyn_proxmon_host;
    char *dyn_connect_modes;
    char *dyn_operhost_netadmin;
    char *dyn_operhost_techadmin;
    char *dyn_operhost_sadmin;
    char *dyn_operhost_abuseadmin;
    char *dyn_operhost_coadmin;
    char *dyn_operhost_admin;
    char *dyn_operhost_globop;
    char *dyn_operhost_locop;
    char *dyn_network_netname;
    char *dyn_server_services;
    char *dyn_malicious_1;
    char *dyn_malicious_2;
    char *dyn_malicious_3;
};


#ifndef DYNCONF_C
extern aConfiguration iConf;
#endif

#define DYN_HUB_STATE			iConf.dyn_hub_state
#define DYN_SHORTMOTD_STATE		iConf.dyn_shortmotd_state
#define DYN_MAILADR_KLINE		iConf.dyn_mailadr_kline
#define DYN_MAILADR_GLINE		iConf.dyn_mailadr_gline
#define DYN_CONNECT_MODES		iConf.dyn_connect_modes
#define DYN_OPERMOTD_STATE		iConf.dyn_opermotd_state
#define DYN_SHORTMOTD_STATE		iConf.dyn_shortmotd_state
#define DYN_HIDE_ULINES			iConf.dyn_hide_ulines
#define DYN_NETWORK_MAXCHANS		iConf.dyn_network_maxchans
#define DYN_USERCHAN_JOIN		iConf.dyn_userchan_join
#define DYN_OPERCHAN_JOIN		iConf.dyn_operchan_join
#define DYN_ALLOW_LINKS			iConf.dyn_allow_links
#define DYN_ALLOW_MAP 			iConf.dyn_allow_map 
#define DYN_FAILOPER_KILL		iConf.dyn_failoper_kill
#define DYN_FILTER_QUITMSG		iConf.dyn_filter_quitmsg
#define DYN_PROXMON_STATE		iConf.dyn_proxmon_state
#define DYN_PROXMON_HOST		iConf.dyn_proxmon_host
#define DYN_PROXMON_URL			iConf.dyn_proxmon_url
#define DYN_NOCHANOPS_SPLIT		iConf.dyn_nochanops_split
#define DYN_HTMLOCKON_BURST		iConf.dyn_htmlockon_burst
#define DYN_IDENTD_COMP			iConf.dyn_identd_comp
#define DYN_IRCII_KLUDGE		iConf.dyn_ircii_kludge
#define DYN_OPERHOST_NETADMIN		iConf.dyn_operhost_netadmin
#define DYN_OPERHOST_TECHADMIN		iConf.dyn_operhost_techadmin
#define DYN_OPERHOST_SADMIN		iConf.dyn_operhost_sadmin
#define DYN_OPERHOST_ABUSEADMIN		iConf.dyn_operhost_abuseadmin
#define DYN_OPERHOST_COADMIN		iConf.dyn_operhost_coadmin
#define DYN_OPERHOST_ADMIN		iConf.dyn_operhost_admin
#define DYN_OPERHOST_GLOBOP		iConf.dyn_operhost_globop
#define DYN_OPERHOST_LOCOP		iConf.dyn_operhost_locop
#define DYN_NETWORK_NETNAME		iConf.dyn_network_netname
#define DYN_NETWORK_URL			iConf.dyn_network_url
#define DYN_SERVER_SERVICES		iConf.dyn_server_services
#define DYN_AKG_NOTICES			iConf.dyn_akg_notices
#define DYN_RFC1035_ANAL		iConf.dyn_rfc1035_anal
#define DYN_NO_MIXED_CASE		iConf.dyn_no_mixed_case
#define DYN_ALLOW_REMOVE_MODEX          iConf.dyn_allow_remove_modex
#define WHOIS_WAIT                      iConf.dyn_whois_wait
#define DYN_ENABLE_THROTTLING           iConf.dyn_enable_throttling
#define DYN_ENABLE_MALICIOUS_DETECT     iConf.dyn_enable_malicious_detect
#define DYN_MALICIOUS_1                 iConf.dyn_malicious_1
#define DYN_MALICIOUS_2                 iConf.dyn_malicious_2
#define DYN_MALICIOUS_3                 iConf.dyn_malicious_3
#define DYN_ENABLE_ILINE_WARN           iConf.dyn_enable_iline_warn
/*
#define DYN_NOJOIN_SPLIT		iConf.dyn_nojoin_split
#define DYN_NOCHANCREATION_SPLIT	iConf.dyn_nochancreation_split
*/

#endif /* __dynconf_include__ */
